/***** CUSTOM TIMELINE *****/

.timeline-container {
    position: relative;
}

.timeline-line {
    position: absolute;
    top: 20px;
    height: 0;
    left: 0;
    width: 4px;
    background-color: var(--main);
    z-index: 0;
}

.timeline-container .timeline-entry:not(:last-child):before {
    content: "";
    display: block;
    position: absolute;
    top: 20px;
    bottom: 0;
    left: 0;
    /* Adjust this based on the position of your timeline numbers */
    width: 4px;
    height: 100%;
    background-color: #e0e0e0;
    /* Initial color of the timeline line */
    z-index: 0;
}

.timeline-container .timeline-entry:last-child .timeline-line {
    display: none;
}

.timeline-entry {
    display: flex;
    padding-bottom: 20px;
    opacity: 1;
    position: relative;
}

.timeline-entry.visible {
    opacity: 1;
}

.timeline-number {
    background-color: #e0e0e0;
    color: white;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    font-size: 18px;
    font-weight: bold;
    margin-right: 20px;
    margin-left: -18px;
    position: relative;
    z-index: 1;
}

.timeline-entry-active .timeline-number {
    background-color: var(--main);
}

.timeline-content {
    background-color: #fff;
    position: relative;
    flex: 1;
    padding-top: 8px;
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: flex-start;
}

.timeline-content h3 {
    font-size: 20px;
    margin: 0;
}

.timeline-content ul {
    padding-left: 20px;
    margin: 0;
}

.timeline-content .tags {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
}

.timeline-content .tags .tag {
    background-color: #e0e0e0;
    padding: 5px 10px;
    border-radius: 15px;
}

.timeline-content p {
    margin-top: 0;
}

/***** RESPONSIVE *****/

@media (max-width: 768px) {
    .timeline-number {
        width: 25px;
        height: 25px;
        margin-right: 15px;
        margin-left: -11px;
        margin-top: 8px;
    }
}
